Cyberduck Mountain Duck CLI

#8523 closed defect (fixed)

Interoperability with Oracle WebCenter Content

Reported by: gdhnz Owned by: dkocher
Priority: normal Milestone: 4.6.4
Component: webdav Version: 4.6.3
Severity: blocker Keywords: webdav
Cc: Architecture: Intel
Platform: Mac OS X 10.10

Description

We use Oracle WebCenter Content and for our mac users, we've been recommending Cyberduck to upload images, documents, etc via webdav. Unfortunately, from v4.4.4 on (up to the latest v4.6.3) we're no longer able to upload or download via webdav.

Cyberduck v4.4.3 works as expected and we can still upload/download documents via webdav to Oracle WebCenter Content.

Attachments (2)

Cyberduck error.png (134.2 KB) - added by gdhnz on Jan 25, 2015 at 9:19:46 PM.
Screenshot of cyberduck error when trying to download a file via webdav
transcript.txt (4.6 KB) - added by gdhnz on Jan 25, 2015 at 10:16:32 PM.
Cyberduck transcript

Download all attachments as: .zip

Change History (12)

Changed on Jan 25, 2015 at 9:19:46 PM by gdhnz

Screenshot of cyberduck error when trying to download a file via webdav

comment:1 Changed on Jan 25, 2015 at 9:20:42 PM by gdhnz

  • Summary changed from webdav bug introduced in v4.4.4 to webdav bug introduced in all versions from v4.4.4 onwards

comment:2 Changed on Jan 25, 2015 at 10:09:45 PM by dkocher

Please post the transcript from the log drawer (⌘-L) of the Transfers window.

comment:3 Changed on Jan 25, 2015 at 10:12:54 PM by dkocher

The server does not support a PROPFIND request for a singe resource and errorneously responds with a 404 Not Found failure. Please report this bug to the server vendor.

comment:4 Changed on Jan 25, 2015 at 10:13:12 PM by dkocher

  • Summary changed from webdav bug introduced in all versions from v4.4.4 onwards to Interoperability with Oracle WebCenter Content

Changed on Jan 25, 2015 at 10:16:32 PM by gdhnz

Cyberduck transcript

comment:5 Changed on Jan 25, 2015 at 10:37:34 PM by gdhnz

What changed between Cyberduck v4.4.3 (works) and v4.4.4 (fails)? I don't see anything in the changelog.

comment:6 Changed on Jan 26, 2015 at 1:50:59 PM by dkocher

PROPFIND /_dav/cs/idcplg/webdav/Contribution%20Folders/_assets/_css/global.css HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: some.host.domain
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.3 (Mac OS X/10.10.1) (x86_64)
Cookie: %COOKIE_NAME%=quUjKEfQU7qRkCEIrAqVpaS_Hsz3oD_NF4L-pdrZHTq4NTwmBivv!-1903668535; IntradocAuth=Basic; IntradocLoginState=1; _WL_AUTHCOOKIE_%COOKIE_NAME%=76k5RlLjwC0kqs45Wf8Z
Cookie2: $Version=1
Accept-Encoding: gzip,deflate
Authorization: Basic some_password_hash
HTTP/1.1 404 Not Found
Date: Sun, 25 Jan 2015 22:13:48 GMT
Server: Apache/2
Cache-Control: no-cache, no-store
Pragma: no-cache
Content-Length: 245
Expires: 0
Idc-Version: 2.0; owner="Oracle"; desc="Oracle UCM WebDAV Server"
Content-Encoding: gzip
X-ORACLE-DMS-ECID: c403131c9a4467cd:-76eb53b6:14b138f08f3:-8000-0000000000018100
X-Powered-By: Servlet/2.5 JSP/2.1
Connection: close
Content-Type: text/xml; charset="utf-8"

comment:7 Changed on Jan 26, 2015 at 3:56:37 PM by dkocher

  • Milestone set to 4.7
  • Resolution set to fixed
  • Status changed from new to closed

Workaround in r16589.

comment:8 Changed on Jan 28, 2015 at 8:54:11 AM by dkocher

  • Milestone changed from 4.7 to 4.6.4

comment:9 Changed on Jan 28, 2015 at 8:54:25 AM by dkocher

Please update to the latest snapshot build available.

comment:10 Changed on Jan 28, 2015 at 6:58:42 PM by gdhnz

All working now. Thank you.

Note: See TracTickets for help on using tickets.
swiss made software